Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubLocationDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubLocationDiag.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubLocationDiag.cs	(revision 51)
@@ -0,0 +1,1202 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmSubLocationDiag : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #region 表示カラム
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum DispGridColumn
+        {
+            No = 0,
+            CompanyCode,
+            CompanyName,
+            DataType,
+        }
+        #endregion
+
+        #region 可変ボタン定義
+        /// <summary>
+        /// 可変ボタン定義
+        /// </summary>
+        private enum buttonVariable
+        {
+            /// <summary>
+            /// 無
+            /// </summary>
+            None = 0,
+            /// <summary>
+            /// 業者未定
+            /// </summary>
+            UnDecided,
+            /// <summary>
+            /// 常雇者
+            /// </summary>
+            AlwaysEmployment,
+        }
+        #endregion
+
+        #region ボタン色
+        /// <summary>
+        /// ボタントップ色
+        /// </summary>
+        private static Color[] ButtonBackColor = new Color[] { Color.White, Color.Gray, Color.Aquamarine };
+        private static Color[] ButtonForeColor = new Color[] { Color.White, Color.White, Color.Black };
+        #endregion
+
+        #region ボタントップ固定文字
+        /// <summary>
+        /// ボタントップ固定文字
+        /// </summary>
+        private static string[] FixButtonTop = new string[] { "", "業　者　未　定", "常　　雇　　者" };
+        #endregion
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 初期処理フラグ
+        /// </summary>
+        //private bool m_InitFlg = true;
+        /// <summary>
+        /// 協力業者マスタレコード
+        /// </summary>
+        private SubContractorMaster m_SubContractorSelcet = new SubContractorMaster();
+
+        /// <summary>
+        /// 起動元フラグ
+        /// </summary>
+        private int m_StartupSource = 0;
+
+        /// <summary>
+        /// 選択データタイプ
+        /// </summary>
+        private int m_DataType = 0;
+
+        /// <summary>
+        /// 複数選択フラグ
+        /// </summary>
+        private bool m_MultiSelect = true;
+
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int m_ConstructionCode = 0;
+
+        /// <summary>
+        /// 使用機能番号（協力会社検索）
+        /// </summary>
+        private const int m_UsedProcessNo = (int)ClsExcute.SubFormExecuteNo.SubconstractorDiag;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+        
+        /// <summary>
+        /// 協力会社
+        /// </summary>
+        public SubContractorMaster SelectData
+        {
+            get { return m_SubContractorSelcet; }
+            set { m_SubContractorSelcet = value; }
+        }
+
+        /// <summary>
+        /// 複数選択フラグ
+        /// </summary>
+        public bool MultiSelect
+        {
+            get { return m_MultiSelect; }
+            set { m_MultiSelect = value; }
+        }
+
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        /// <summary>
+        /// 起動元フラグ
+        /// </summary>
+        public int StartupSource
+        {
+            get { return m_StartupSource; }
+            set { m_StartupSource = value; }
+        }
+
+        /// <summary>
+        /// 選択データタイプ
+        /// </summary>
+        public int DataType
+        {
+            get { return m_DataType; }
+            set { m_DataType = value; }
+        }
+
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmSubLocationDiag()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSubLocationDiag_Load(object sender, EventArgs e)
+        {
+
+            this.dgvMaster.RowHeadersVisible = false;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
+
+            this.dgvMaster.Columns[0].Width = 60;
+            this.dgvMaster.Columns[1].Width = 120;
+            this.dgvMaster.Columns[2].Width = 797;
+
+            this.dgvMaster.Columns[0].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
+            this.dgvMaster.Columns[1].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
+            this.dgvMaster.AllowUserToAddRows = false;
+
+            string no;
+            string kno;
+            string[] ss = { "中之島公園", "靭公園", "大泉緑地", "金岡公園", "長居公園", "浜寺公園", "大阪城公園", "天王寺公園", "扇町公園", "大仙公園", "中之島遊歩道", "北摂自然歩道", "通天閣", "梅田スカイタワー", "山内邸", "野間邸", "西川邸", "スーパー山本繁", "鴻臚寺", "古本市場新金岡店", "北花田イオンモール", "新金岡シティ" };
+
+            this.dgvMaster.Rows.Add(new object[] { "", "", "不明" });
+
+            for (int i = 0; i < 22; i++)
+            {
+                no = (i + 1).ToString();
+                kno = "2016" + (i + 160).ToString("0000") + "-1";
+
+                this.dgvMaster.Rows.Add(new object[] { no, kno, ss[i] + "改修工事" });
+
+            }
+            for (int i = 0; i < 20; i++)
+            {
+                this.dgvMaster.Rows.Add(new object[] { "", "", "" });
+            }
+
+            // 表示形式変更
+            InitDisplayFormat();
+
+            // マスタ検索コンボボックス
+            InitFixDataSet();
+
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 表示タブの選択
+            //if (ExistHistoryData())
+            //{
+            //    tabControl1.SelectedIndex = 0;
+            //    DispHistryGridData();
+            //}
+            //else
+            //{
+            //    tabControl1.SelectedIndex = 1;
+            //}
+            //m_InitFlg = false;
+        }
+        #endregion
+
+        #region フォームクローズ
+        /// <summary>
+        /// フォーム終了
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSubLocationDiag_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            //if (m_EndButton == DialogResult.OK)
+            //{
+            //    // グリッド選択
+            //    DataGridView dgv = null;
+            //    if (tabControl1.SelectedIndex == 0)
+            //        dgv = dgvHistory;
+            //    else
+            //        dgv = dgvSearch;
+         
+            //    // 選択データ取得
+            //    int SelRow = dgv.CurrentRow.Index;
+            //    int SelCode = CommonMotions.cnvInt(dgv.Rows[SelRow].Cells[(int)DispGridColumn.CompanyCode].Value);
+            //    m_DataType = CommonMotions.cnvInt(dgv.Rows[SelRow].Cells[(int)DispGridColumn.DataType].Value);
+            //    GetSubContractor(m_DataType, SelCode, ref m_SubContractorSelcet);
+
+            //    // 履歴は終了時に登録を行う
+            //    EntryInputLogData(dgv, SelCode);
+            //}
+        }
+        #endregion
+
+        #region 動作判定
+        /// <summary>
+        /// 動作判定
+        /// </summary>
+        /// <returns></returns>
+        private int JudgmentAction()
+        {
+            int iRet = 0;
+            switch (m_StartupSource)
+            {
+                // 積算見積書
+                case (int)ClsExcute.ProcessExecuteNo.EstimateInput:
+                    iRet = (int)buttonVariable.UnDecided;
+                    break;
+                // 積算予算書
+                case (int)ClsExcute.ProcessExecuteNo.EstimateBudget:
+                    iRet = (int)buttonVariable.UnDecided;
+                    break;
+                // 工事予算書
+                case (int)ClsExcute.ProcessExecuteNo.ConstructionBudget:
+                    iRet = (int)buttonVariable.AlwaysEmployment;
+                    break;
+                // 工事詳細台帳
+                case (int)ClsExcute.ProcessExecuteNo.ConstructionLedger:
+                    iRet = (int)buttonVariable.AlwaysEmployment;
+                    break;
+                // 議事録
+                case (int)ClsExcute.ProcessExecuteNo.Proceedings:
+                    iRet = (int)buttonVariable.None;
+                    break;
+            }
+            return iRet;
+        }
+        #endregion
+
+        #region 初期表示形式変更
+        /// <summary>
+        /// 初期表示形式変更
+        /// </summary>
+        private void InitDisplayFormat()
+        {
+            try
+            {
+                //// 表示ボタンの判定
+                //int ActionNo = JudgmentAction();
+                //if (ActionNo == (int)buttonVariable.None)
+                //{
+                //    btnVariable.Visible = false;
+                //    return;
+                //}
+
+                //btnVariable.BackColor = ButtonBackColor[ActionNo];
+                //btnVariable.ForeColor = ButtonForeColor[ActionNo];
+                //btnVariable.Text = FixButtonTop[ActionNo];
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region キャンセルボタン
+        /// <summary>
+        /// キャンセルボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.Cancel;
+            this.Close();
+        }
+        #endregion
+
+        #region 終了ボタン
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.None;
+            this.Close();
+        }
+        #endregion
+
+        #region 選択ボタン
+        /// <summary>
+        /// 選択ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSelect_Click(object sender, EventArgs e)
+        {
+            //if (tabControl1.SelectedIndex == 0)
+            //{
+            //    // 空白チェック
+            //    if (!BlanckRowCheck(dgvHistory.CurrentRow)) return;
+            //}
+            //else
+            //{
+            //    // 空白チェック
+            //    if (!BlanckRowCheck(dgvSearch.CurrentRow)) return;
+            //}
+
+            m_EndButton = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        //#region 自社ボタン
+        ///// <summary>
+        ///// 自社選択ボタン押下
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void btnMyCompany_Click(object sender, EventArgs e)
+        //{
+        //    dgvSearch.Rows.Clear();
+        //    dgvSearch.Rows.Add(1, CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Key,
+        //                            CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Value,
+        //                            (int)CommonDefine.SearchLogDataType.FixCode);
+        //    dgvSearch.Rows[0].Cells[0].Selected = true;
+
+        //    m_EndButton = DialogResult.OK;
+        //    this.Close();
+        //}
+        //#endregion
+
+        //#region 汎用ボタン
+        ///// <summary>
+        ///// 汎用ボタン押下
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void btnVariable_Click(object sender, EventArgs e)
+        //{
+        //    if (JudgmentAction() == (int)buttonVariable.UnDecided)
+        //    {
+        //        // 業者未定
+        //        UnDecided_Action();
+        //    }
+        //    else
+        //    {
+        //        // 常用者選択
+        //        DispPersonMasterGridData();
+        //    }
+        //}
+        //#endregion
+
+        //#region 業者未定時動作
+        ///// <summary>
+        ///// 業者未定時動作
+        ///// </summary>
+        //private void UnDecided_Action()
+        //{
+        //    dgvSearch.Rows.Clear();
+        //    dgvSearch.Rows.Add(1, CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.UnDecided].Key,
+        //                            CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.UnDecided].Value);
+        //    dgvSearch.Rows[0].Cells[0].Selected = true;
+
+        //    m_EndButton = DialogResult.OK;
+        //    this.Close();
+        //}
+        //#endregion
+
+        //#region マスタグリッドダブルクリック
+        ///// <summary>
+        ///// マスタグリッドダブルクリック
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void dgvSearch_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        //{
+        //    // 空白チェック
+        //    if (!BlanckRowCheck(dgvSearch.CurrentRow)) return;
+
+        //    m_EndButton = DialogResult.OK;
+        //    this.Close();
+        //}
+        //#endregion
+
+        #region 履歴グリッドグリッドダブルクリック
+        /// <summary>
+        /// 履歴グリッドダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvHistory_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            // 空白チェック
+            if (!BlanckRowCheck(dgvMaster.CurrentRow)) return;
+
+            m_EndButton = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        #region 固定SQL文字列
+        private const string s_SQLWHERE = " WHERE";
+        private const string s_SQLAND = " AND";
+        #endregion
+
+        //#region 工種コンボボックスチェンジ
+        ///// <summary>
+        ///// 工種コンボ変更時イベント
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void cmbItemType_SelectedIndexChanged(object sender, EventArgs e)
+        //{
+        //    try
+        //    {
+        //        if (m_InitFlg) return;
+
+        //        // 工種検索条件取得
+        //        string strSQL = GetSqlFromCmbItemType();
+        //        if (strSQL.Length != 0) strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL);
+
+        //        // 50音検索条件取得
+        //        string SecondSQL = GetSqlFromcmbJapaneseSyllabary();
+        //        if (SecondSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, SecondSQL);
+
+        //        // 支払区分検索条件取得
+        //        string ThirdSQL = GetSqlFromcmbLabour(); ;
+        //        if (ThirdSQL.Length != 0) strSQL += string.Format("{0} {1}", s_SQLAND, ThirdSQL);
+
+        //        strSQL += string.Format("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
+
+        //        // 文字列にWhereが無い場合は先頭をWhereに変更する
+        //        if (strSQL.IndexOf(s_SQLWHERE, 0) < 0)
+        //        {
+        //            strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL.Substring(s_SQLAND.Length + 1));
+        //        }
+
+        //        // データ表示
+        //        DispSubconstractorMasterGridData(strSQL);
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //}
+        //#endregion
+
+        #region 工種選択コンボボックスよりSQLを作成する
+        /// <summary>
+        /// 工種選択コンボボックスよりSQLを作成する
+        /// </summary>
+        /// <returns></returns>
+        private string GetSqlFromCmbItemType()
+        {
+            try
+            {
+            //    int Value = CommonMotions.cnvInt(cmbItemType.SelectedValue);
+            //    if (Value < 1) return string.Empty;
+
+            //    return string.Format(" CompanyCode In (Select CompanyCode From SubContractorJobItem Where ItemCode = {0})",
+            //                    CommonMotions.cnvInt(cmbItemType.SelectedValue));
+                return string.Empty;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        //#region 手間業者コンボボックスチェンジ
+        ///// <summary>
+        ///// 手間業者コンボボックスチェンジ
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void cmbLabour_SelectedIndexChanged(object sender, EventArgs e)
+        //{
+        //    try
+        //    {
+        //        if (m_InitFlg) return;
+
+        //        // 支払区分検索条件取得
+        //        string strSQL = GetSqlFromcmbLabour();
+        //        if (strSQL.Length != 0) strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL);
+
+        //        // 工種検索条件取得
+        //        string SecondSQL = GetSqlFromCmbItemType();
+        //        if (SecondSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, SecondSQL);
+
+        //        // 50音検索条件取得
+        //        string ThirdSQL = GetSqlFromcmbJapaneseSyllabary(); ;
+        //        if (ThirdSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, ThirdSQL);
+
+        //        strSQL += string.Format("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
+
+        //        // 文字列にWhereが無い場合は先頭をWhereに変更する
+        //        if (strSQL.IndexOf(s_SQLWHERE, 0) < 0)
+        //        {
+        //            strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL.Substring(s_SQLAND.Length + 1));
+        //        }
+
+        //        // データ表示
+        //        DispSubconstractorMasterGridData(strSQL);
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //}
+        //#endregion
+
+        #region 支払区分コンボボックスよりSQLを作成する
+        /// <summary>
+        ///  支払区分コンボボックスよりSQLを作成する
+        /// </summary>
+        /// <returns></returns>
+        private string GetSqlFromcmbLabour()
+        {
+            try
+            {
+                //int Value = CommonMotions.cnvInt(cmbLabour.SelectedValue);
+                //if (Value < 0) return string.Empty;
+
+                //return string.Format(" labourKind = {0}", CommonMotions.cnvInt(cmbLabour.SelectedValue));
+                return string.Empty;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        //#region 50音順コンボボックスチェンジ
+        ///// <summary>
+        ///// 50音順コンボ変更時イベント
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void cmbJapaneseSyllabary_SelectedIndexChanged(object sender, EventArgs e)
+        //{
+        //    try
+        //    {
+        //        if (m_InitFlg) return;
+
+        //        // 50音検索条件取得
+        //        string strSQL = GetSqlFromcmbJapaneseSyllabary();
+        //        if (strSQL.Length != 0) strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL);
+
+        //        // 工種検索条件取得
+        //        string SecondSQL = GetSqlFromCmbItemType();
+        //        if (SecondSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, SecondSQL);
+
+        //        // 支払区分検索条件取得
+        //        string ThirdSQL = GetSqlFromcmbLabour(); ;
+        //        if (ThirdSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, ThirdSQL);
+
+        //        strSQL += string.Format("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
+
+        //        // 文字列にWhereが無い場合は先頭をWhereに変更する
+        //        if (strSQL.IndexOf(s_SQLWHERE, 0) < 0)
+        //        {
+        //            strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL.Substring(s_SQLAND.Length + 1));
+        //        }
+
+        //        // データ表示
+        //        DispSubconstractorMasterGridData(strSQL);
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //}
+        //#endregion
+
+        #region 50音順コンボボックスよりSQLを作成する
+        /// <summary>
+        ///  50音順コンボボックスよりSQLを作成する
+        /// </summary>
+        /// <returns></returns>
+        private string GetSqlFromcmbJapaneseSyllabary()
+        {
+            try
+            {
+                //string Value = CommonMotions.cnvString(cmbJapaneseSyllabary.SelectedValue);
+                //if (Value.Length == 0) return string.Empty;
+
+                //return string.Format(" JapaneseSyllabary = '{0}'", cmbJapaneseSyllabary.SelectedValue);
+                return string.Empty;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 初期表示
+        /// <summary>
+        /// マスタ検索グリッド初期設定
+        /// </summary>
+        private void InitFixDataSet()
+        {
+            //dgvSearch.RowCount = CommonDefine.s_MaxInitLineCount;
+            
+            // 協力会社施工工種データセット
+            SetcmbSubContractorItem();
+            // 50音順セット
+            SetcmbcmbJapaneseSyllabary();
+            // 手間業者セット
+            SetcmbcmbLabout();
+        }
+        #endregion
+
+        #region 履歴データ確認処理
+        /// <summary>
+        /// 履歴データがあるかどうかを確認する
+        /// </summary>
+        /// <returns></returns>
+        private bool ExistHistoryData()
+        {
+            IOInputSearchLogData isdDB = new IOInputSearchLogData();
+            try
+            {
+                bool bRet = true;
+
+                string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
+                List<InputSearchLogData> isdList = new List<InputSearchLogData>();
+                if (!isdDB.SelectAction(strSQL, ref isdList)) bRet = false;
+                if (isdList.Count == 0) return false;
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                isdDB.close(); isdDB = null;
+            }
+        }
+        #endregion
+
+        //#region 協力会社マスタグリッドデータ表示
+        ///// <summary>
+        ///// 協力会社マスタグリッドデータ表示
+        ///// </summary>
+        //private void DispSubconstractorMasterGridData(string strSearch)
+        //{
+        //    IOMSubContractor sbcDB = new IOMSubContractor();
+        //    try
+        //    {
+        //        dgvSearch.Rows.Clear();
+
+        //        List<SubContractorMaster> sbcList = new List<SubContractorMaster>();
+                
+        //        // SQL作成
+        //        // 工種マスタ取得
+        //        if (!sbcDB.SelectAction(strSearch, ref sbcList)) return;
+
+        //        // 要素表示
+        //        int i = 0;
+        //        foreach (SubContractorMaster wrk in sbcList)
+        //        {
+        //            int iRows = dgvSearch.Rows.Add(++i,
+        //                                wrk.CompanyCode,
+        //                                wrk.CompanyName,
+        //                                (int)CommonDefine.SearchLogDataType.Subconstractor);
+
+
+        //            dgvSearch.Rows[iRows].Cells[(int)DispGridColumn.CompanyName].ToolTipText = wrk.CompanyName;
+        //        }
+        //        // 画面一杯に行を表示する
+        //        if (dgvSearch.Rows.Count < CommonDefine.s_MaxInitLineCountMastamente)
+        //        {
+        //            int idspCnt = CommonDefine.s_MaxInitLineCountMastamente - dgvSearch.Rows.Count;
+        //            if (idspCnt != 0) dgvSearch.Rows.Add(idspCnt);
+        //        }
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //    finally
+        //    {
+        //        sbcDB.close();
+        //        sbcDB = null;
+        //    }
+        //}
+        //#endregion
+
+        //#region 担当者マスタグリッドデータ表示（常用者）
+        ///// <summary>
+        ///// 担当者マスタグリッドデータ表示（常用者）
+        ///// </summary>
+        //private void DispPersonMasterGridData()
+        //{
+        //    IOMPersonInCharge personDB = new IOMPersonInCharge();
+        //    try
+        //    {
+        //        dgvSearch.Rows.Clear();
+
+        //        List<PersonInChargeMaster> personList = new List<PersonInChargeMaster>();
+        //        // SQL作成
+        //        string strSQL = string.Format(" Where EmployeeClassFlg = {0} And DeleteFlg = 0 Order By DisplayOrder ASC", (int)CommonDefine.EmployeeClassFlg.OutSource);
+        //        // 担当者マスタ取得
+        //        if (!personDB.SelectAction(strSQL, ref personList)) return;
+
+        //        // 要素表示
+        //        int i = 0;
+        //        foreach (PersonInChargeMaster wrk in personList)
+        //        {
+        //            int iRows = dgvSearch.Rows.Add(++i,
+        //                                wrk.PersonCode,
+        //                                wrk.PersonName,
+        //                                (int)CommonDefine.SearchLogDataType.Person);
+
+        //            dgvSearch.Rows[iRows].Cells[(int)DispGridColumn.CompanyName].ToolTipText = wrk.PersonName;
+        //        }
+        //        // 画面一杯に行を表示する
+        //        if (dgvSearch.Rows.Count < CommonDefine.s_MaxInitLineCountMastamente)
+        //        {
+        //            int idspCnt = CommonDefine.s_MaxInitLineCountMastamente - dgvSearch.Rows.Count;
+        //            if (idspCnt != 0) dgvSearch.Rows.Add(idspCnt);
+        //        }
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //    finally
+        //    {
+        //        personDB.close(); personDB = null;
+        //    }
+        //}
+        //#endregion
+
+        #region 履歴グリッドデータ表示
+        /// <summary>
+        /// 履歴グリッドデータ表示
+        /// </summary>
+        private void DispHistryGridData()
+        {
+            IOInputSearchLogData isdDB = new IOInputSearchLogData();
+            IOMSubContractor sbcDB = new IOMSubContractor();
+            try
+            {
+                dgvMaster.Rows.Clear();
+
+                List<InputSearchLogData> isdList = new List<InputSearchLogData>();
+                // SQL作成
+                string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
+                strSQL += " Order By DisplayOrder";
+                if (!isdDB.SelectAction(strSQL, ref isdList)) return;
+
+                // 要素表示
+                int i = 0;
+                foreach (InputSearchLogData wrk in isdList)
+                {
+                    SubContractorMaster sbcRec = new SubContractorMaster();
+                    if (!GetSubContractor(wrk.DataType, wrk.InputCode, ref sbcRec)) continue;
+
+                    int iRows = dgvMaster.Rows.Add(++i,
+                                        sbcRec.CompanyCode,
+                                        sbcRec.CompanyName,
+                                        wrk.DataType);
+
+                    dgvMaster.Rows[iRows].Cells[(int)DispGridColumn.CompanyName].ToolTipText = sbcRec.CompanyName;
+                }
+                // 画面一杯に行を表示する
+                if (dgvMaster.Rows.Count < CommonDefine.s_MaxInitLineCountMastamente)
+                {
+                    int idspCnt = CommonDefine.s_MaxInitLineCountMastamente - dgvMaster.Rows.Count;
+                    if (idspCnt != 0) dgvMaster.Rows.Add(idspCnt);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                isdDB.close(); isdDB = null;
+                sbcDB.close(); sbcDB = null;
+            }
+        }
+        #endregion
+
+        #region 選択データ取得
+        /// <summary>
+        /// 選択データ取得
+        /// </summary>
+        /// <param name="SubContractorCode"></param>
+        /// <param name="DataRec"></param>
+        /// <returns></returns>
+        private bool GetSubContractor(int DataType, int SubContractorCode, ref SubContractorMaster DataRec)
+        {
+            IOMSubContractor sbcDB = new IOMSubContractor();
+            IOMPersonInCharge personDB = new IOMPersonInCharge();
+            try
+            {
+                string strSQL = string.Empty;
+                if (DataType == (int)CommonDefine.SearchLogDataType.FixCode)
+                {
+                    // 自社の場合
+                    if (SubContractorCode == CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Key)
+                    {
+                        DataRec.CompanyCode = CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Key;
+                        DataRec.CompanyName = CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Value;
+                    }
+                    else if (SubContractorCode == CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.UnDecided].Key)
+                    {   // 業者未定の場合
+                        DataRec.CompanyCode = CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.UnDecided].Key;
+                        DataRec.CompanyName = CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.UnDecided].Value;
+                    }
+                    return true;
+                }
+                else if (DataType == (int)CommonDefine.SearchLogDataType.Subconstractor)
+                {
+                    // SQL作成
+                    strSQL = sbcDB.CreatePrimarykeyString(SubContractorCode);
+                    // 工種マスタ取得
+                    if (!sbcDB.SelectAction(strSQL, ref DataRec)) return false;
+                }
+                else if (DataType == (int)CommonDefine.SearchLogDataType.Person)
+                {
+                    PersonInChargeMaster personRec = new PersonInChargeMaster();
+                    // SQL作成
+                    strSQL = personDB.CreatePrimarykeyString(SubContractorCode);
+                    strSQL += string.Format(" AND EmployeeClassFlg = {0} And DeleteFlg = 0", (int)CommonDefine.EmployeeClassFlg.OutSource);
+                    // 担当者マスタ取得
+                    if (!personDB.SelectAction(strSQL, ref personRec)) return false;
+                    DataRec.CompanyCode = personRec.PersonCode;
+                    DataRec.CompanyName = personRec.PersonName;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                sbcDB.close(); sbcDB = null;
+                personDB.close(); personDB = null;
+            }
+        }
+        #endregion
+
+        #region グリッド空き行チェック
+        /// <summary>
+        /// グリッド空行チェック
+        /// </summary>
+        /// <param name="row"></param>
+        /// <returns></returns>
+        private bool BlanckRowCheck(DataGridViewRow row)
+        {
+            try
+            {
+                // 空欄チェック
+                if (CommonMotions.chkObjectIsNull(row.Cells[(int)DispGridColumn.CompanyName].Value)) return false;
+                if (CommonMotions.cnvString(row.Cells[(int)DispGridColumn.CompanyName].Value).Length == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力会社施工工種コンボボックスセット
+        /// <summary>
+        /// 協力会社施工工種コンボボックスセット
+        /// </summary>
+        private void SetcmbSubContractorItem()
+        {
+            IOMSubContractorItem itemDB = new IOMSubContractorItem();
+            try
+            {
+                List<SubContractorItemMaster> itemList = new List<SubContractorItemMaster>();
+
+                string strSQL = " Order By DisplayOrder";
+                if (!itemDB.SelectAction(strSQL, ref itemList)) return;
+                if (itemList.Count == 0) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+                // データ表示
+                for (int i = 0; i < itemList.Count; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(itemList[i].ItemCode, itemList[i].ItemName);
+
+                    DataList.Add(keyval);
+                }
+                //// コンボボックス初期表示
+                //ComboBoxAction.InitDataSetCombBox(cmbItemType, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                itemDB.close(); itemDB = null;
+            }
+        }
+        #endregion
+
+        #region 協力会社50音順コンボボックスセット
+        /// <summary>
+        /// 協力会社50音順コンボボックスセット
+        /// </summary>
+        private void SetcmbcmbJapaneseSyllabary()
+        {
+            IOMSubContractor sbDB = new IOMSubContractor();
+            try
+            {
+                string strSQL = "Select Distinct JapaneseSyllabary From SubContractorMaster Order By JapaneseSyllabary";
+                ArrayList arData = new ArrayList();
+                if (!sbDB.ExecuteReader(strSQL, ref arData)) return;
+                if (arData.Count == 0) return;
+
+                // データセット
+                List<KeyValuePair<string, string>> DataList = new List<KeyValuePair<string, string>>();
+                DataList.Add(new KeyValuePair<string, string>("", ""));
+                foreach (object[] objwrk in arData)
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(objwrk[0].ToString(), objwrk[0].ToString());
+                    DataList.Add(keyval);
+                }
+                //// コンボボックス初期表示
+                //ComboBoxAction.InitDataSetCombBox(cmbJapaneseSyllabary, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                sbDB.close(); sbDB = null;
+            }
+        }
+        #endregion
+
+        #region 手間業者コンボボックスセット
+        /// <summary>
+        /// 手間業者コンボボックスセット
+        /// </summary>
+        private void SetcmbcmbLabout()
+        {
+            try
+            {
+
+                // データセット
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(-1, ""));
+
+                foreach (KeyValuePair<int, string> SetValue in CommonDefine.s_SubContractorKind)
+                {
+                    DataList.Add(new KeyValuePair<int, string>(SetValue.Key, SetValue.Value));
+                }
+
+                // コンボボックス初期表示
+                //ComboBoxAction.InitDataSetCombBox(cmbLabour, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region タブの描画
+        /// <summary>
+        /// タブの描画
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void tabControl1_DrawItem(object sender, DrawItemEventArgs e)
+        {
+            //対象のTabControlを取得
+            TabControl tab = (TabControl)sender;
+            //タブページのテキストを取得
+            string txt = tab.TabPages[e.Index].Text;
+
+            //タブのテキストと背景を描画するためのブラシを決定する
+            Brush foreBrush = null;
+            Brush backBrush = null;
+
+            if (tab.TabPages[e.Index].Name.Equals("tabPage1"))
+            {
+                // 履歴ページ
+                backBrush = new SolidBrush(Color.LightGreen);
+                foreBrush = Brushes.Black;
+            }
+            else if (tab.TabPages[e.Index].Name.Equals("tabPage2"))
+            {   // 検索ページ
+                backBrush = new SolidBrush(Color.LightSalmon);
+                foreBrush = Brushes.Black;
+            }
+            else
+            {
+                backBrush = new SolidBrush(Color.Black);
+                foreBrush = Brushes.White;
+            }
+
+            //StringFormatを作成
+            StringFormat sf = new StringFormat();
+            //中央に表示する
+            sf.Alignment = StringAlignment.Center;
+            sf.LineAlignment = StringAlignment.Center;
+
+            //背景の描画
+            e.Graphics.FillRectangle(backBrush, e.Bounds);
+            //Textの描画
+            e.Graphics.DrawString(txt, e.Font, foreBrush, e.Bounds, sf);
+        }
+        #endregion
+
+        //#region グリッドより履歴データ登録処理
+        ///// <summary>
+        ///// グリッドよりの登録処理
+        ///// </summary>
+        ///// <returns></returns>
+        //private bool EntryInputLogData(DataGridView dgv, int SubconstructorCode)
+        //{
+        //    IOInputSearchLogData isdDB = new IOInputSearchLogData();
+        //    try
+        //    {
+        //        // グリッドからの選択は処理しない
+        //        if (dgv == dgvMaster && dgvMaster.RowCount > 1)
+        //        {
+        //            return true;
+        //        }
+                
+        //        InputSearchLogData isdRec = new InputSearchLogData();
+        //        string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
+        //        strSQL += string.Format(" And InputCode = {0}", SubconstructorCode);
+                
+        //        // データがあれば登録しない
+        //        if (isdDB.SelectAction(strSQL, ref isdRec)) return true;
+
+        //        // 最大表示番号を取得する
+        //        string strMax = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
+        //        int iMax = isdDB.SelectMaxCount(strMax);
+
+        //        // 登録対象
+        //        isdRec.ConstructionCode = m_ConstructionCode;       // 工事番号
+        //        isdRec.UsedProcessNo = m_UsedProcessNo;             // 使用機能番号
+        //        isdRec.DisplayOrder = iMax + 1;                     // 表示順
+        //        isdRec.InputCode = SubconstructorCode;              // 入力コード
+        //        isdRec.DataType = CommonMotions.cnvInt(dgvSearch.CurrentRow.Cells[(int)DispGridColumn.DataType].Value);       // データタイプ
+
+        //        if (!isdDB.InsertAction(isdRec)) return false;
+
+        //        return true;
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //        return false;
+        //    }
+        //    finally
+        //    {
+        //        isdDB.close(); isdDB = null;
+        //    }
+        //}
+        //#endregion
+
+        #region アップボタン
+        /// <summary>
+        /// アップキー押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDispUp_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッドアップキー処理
+                DataGridViewAction.GridRowUpAction((DataGridView)dgvMaster, (int)DispGridColumn.CompanyCode, (int)DispGridColumn.CompanyName);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ダウンボタン
+        /// <summary>
+        /// ダウンキー押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDispDown_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッドアップキー処理
+                DataGridViewAction.GridRowDownAction((DataGridView)dgvMaster, (int)DispGridColumn.CompanyCode, (int)DispGridColumn.CompanyName);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
